aboutsummaryrefslogtreecommitdiffstats
path: root/debian/plptools.init
diff options
context:
space:
mode:
authorFritz Elfert <felfert@to.com>2002-07-14 02:54:13 +0000
committerFritz Elfert <felfert@to.com>2002-07-14 02:54:13 +0000
commit000a4885669921b160ba31328fb43842fcd3c6e1 (patch)
treeb3e32ca0ca37c5d3feff0a4edfa785b2d2f9cf39 /debian/plptools.init
parent94469aaba04a168f95a42df27476e1c3a98f0799 (diff)
downloadplptools-000a4885669921b160ba31328fb43842fcd3c6e1.tar.gz
plptools-000a4885669921b160ba31328fb43842fcd3c6e1.tar.bz2
plptools-000a4885669921b160ba31328fb43842fcd3c6e1.zip
- Debian packaging based on John's package of plptools-0.10
Diffstat (limited to 'debian/plptools.init')
-rw-r--r--debian/plptools.init64
1 files changed, 64 insertions, 0 deletions
diff --git a/debian/plptools.init b/debian/plptools.init
new file mode 100644
index 0000000..1108970
--- /dev/null
+++ b/debian/plptools.init
@@ -0,0 +1,64 @@
+#! /bin/sh
+#
+# start or stop the plptools daemon
+#
+# This file was automatically customized by dh-make on Wed, 13 Dec 2000 11:35:52 +0000
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/ncpd
+NAME=plptools
+DESC=plptools
+SERIAL=/dev/ttyS0
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ start-stop-daemon --start --quiet \
+ --exec $DAEMON -- -s $SERIAL
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --stop --quiet \
+ --exec $DAEMON
+ echo "$NAME."
+ ;;
+ #reload)
+ #
+ # If the daemon can reload its config files on the fly
+ # for example by sending it SIGHUP, do it here.
+ #
+ # If the daemon responds to changes in its config file
+ # directly anyway, make this a do-nothing entry.
+ #
+ # echo "Reloading $DESC configuration files."
+ # start-stop-daemon --stop --signal 1 --quiet --pidfile \
+ # /var/run/$NAME.pid --exec $DAEMON
+ #;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented, move the "force-reload"
+ # option to the "reload" entry above. If not, "force-reload" is
+ # just the same as "restart".
+ #
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --stop --quiet --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON
+ sleep 1
+ start-stop-daemon --start --quiet --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON
+ echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0